Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.index
Enum Index.TYPE

    java.lang.Object
      java.lang.Enum<Index.TYPE>
          org.basex.index.Index.TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Index.TYPE>

Enclosing interface:
  Index

    public static enum Index.TYPE

extends java.lang.Enum<Index.TYPE>

Index types.

Enum Constant Summary
`ATV` Attribute index.
`FTX` Fulltext index.
`TXT` Text index.
`WRD` Word index.

Method Summary
`static Index.TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Index.TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATV

    public static final Index.TYPE ATV

  Attribute index.

### FTX

    public static final Index.TYPE FTX

  Fulltext index.

### TXT

    public static final Index.TYPE TXT

  Text index.

### WRD

    public static final Index.TYPE WRD

  Word index.

Method Detail

### valueOf

    public static Index.TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### values

    public static Index.TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Index.TYPE c : Index.TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD